<?php
$t = 'Пробуждение';
require_once 'wcore/core.php';
require_once 'wcore/head.php';
iank();

if($ank['level'] < 30) { header('Location: profile.php'); exit; }

echo '<center><div class="titles">Пробуждение</div></center>';

	echo $_SESSION['msg'];
	$_SESSION['msg'] = NULL;
	
echo '<br>';
echo '<center>';
echo 'Уровень пробуждения: ' . $ank['stars'];
echo '<br>';
echo '<img src="img/stars/'. $ank['stars'] .'_8.png">';
echo '</center>';
echo '<br>';

if($ank['stars'] == 1){ $stars1 = 1.10; $stars2 = 1; $stars3 = 1; $stars4 = 1; }
if($ank['stars'] == 2){ $stars1 = 1.10; $stars2 = 1.05; $stars3 = 1; $stars4 = 1; }
if($ank['stars'] == 3){ $stars1 = 1.10; $stars2 = 1.05; $stars3 = 1.30; $stars4 = 1; }
if($ank['stars'] == 4){ $stars1 = 1.10; $stars2 = 1.05; $stars3 = 1.30; $stars4 = 1.08; }
if($ank['stars'] == 5){ $stars1 = 1.40; $stars2 = 1.05; $stars3 = 1.30; $stars4 = 1.08; }
if($ank['stars'] == 6){ $stars1 = 1.10; $stars2 = 1.15; $stars3 = 1.30; $stars4 = 1.08; }
if($ank['stars'] == 7){ $stars1 = 1.10; $stars2 = 1.05; $stars3 = 1.60; $stars4 = 1.08; }
if($ank['stars'] == 8){ $stars1 = 1.10; $stars2 = 1.05; $stars3 = 1.30; $stars4 = 1.16; } 
	
$user_power = round((($ank['param_1']*$stars1)/2)+($ank['param_2']*$stars2)+(($ank['param_3']*$stars3)/4)+($ank['param_4']*$stars4));

$text_stars = array('Здоровье +10%', 'Сила +5%', 'Защита +30%', 'Скорость +8%', 'Здоровье +20%', 'Сила +10%', 'Защита +60%', 'Скорость +16%');
$power = array(120000, 350000, 800000, 1350000, 1800000, 2500000, 3960000, 5000000);
$stone_waking = array(100, 500, 1800, 3600, 8000, 15000, 22500, 35000);
	
if(isset($_GET['upgrade'])){
	
	if($ank['stars'] == 8){
		go('/stars.php');
	}
	
	if(isset($_GET['go']) && $ank['stars'] < 8){
		mysqli_query($mysqli,"UPDATE `users` SET `stars` = `stars` + 1, `stone_waking` = '". ($ank['stone_waking'] - $stone_waking[$ank['stars']]) ."' WHERE `id` = '". $ank['id'] ."'");
		$_SESSION['msg'] = $sd . 'Вы успешно сделали пробуждение!' . $_sd;
		go('/stars.php?upgrade');
		exit;
	}
	
	echo '<div class="block">';
	echo '<center>';
	echo '<font color="#FF3807">Не пробуждено</font><br>';
	echo '<b>Пробуждение ' . ($ank['stars']+1) . ' ур.</b>';
	echo '<br><br>';
	echo $text_stars[$ank['stars']];
	echo '<br><br>';
	echo '<table width="100%" style="text-align: center;"><tbody><tr>
	<td width="50%">Камни пробуждения</td>
	<td width="50%">Мощь</td>
	</tr><tr>
	<td width="50%">'. ($ank['stone_waking'] >= $stone_waking[$ank['stars']] ? '<font color="#7BF336">'. $ank['stone_waking'] .'</font>' : '<font color="#FF3807">'. $ank['stone_waking'] .'</font>') .' / '. $stone_waking[$ank['stars']] .'</td>
	<td width="50%">'. ($user_power >= $power[$ank['stars']] ? '<font color="#7BF336">'. $user_power .'</font>' : '<font color="#FF3807">'. $user_power .'</font>') .' / '. $power[$ank['stars']] .'</td>
	</tr></tbody></table>';
	echo '</center>';
	echo '</div>';
	
	echo '<br>';
	echo '<center>'. (($ank['stone_waking'] >= $stone_waking[$ank['stars']]) && ($user_power >= $power[$ank['stars']]) ? '<a href="?upgrade&go" class="buttons i">Пробуждение</a>' : '') .' <a href="/stars.php" class="buttons i">Назад</a></center>';
	echo '<br>';
		
}else{
	
	echo '<div class="block">';
	echo '<b>Пробуждение 1 ур.</b>
	<br>
	'. ($ank['stars'] >= 1 ? '<font color="#7BF336">Здоровье +10%</font>' : '<font color="#FF3807">Здоровье +10%</font>') .'';
	echo '<br>';
	echo '<b>Пробуждение 2 ур.</b>
	<br>
	'. ($ank['stars'] >= 2 ? '<font color="#7BF336">Сила +5%</font>' : '<font color="#FF3807">Сила +5%</font>') .'';
	echo '<br>';
	echo '<b>Пробуждение 3 ур.</b>
	<br>
	'. ($ank['stars'] >= 3 ? '<font color="#7BF336">Защита +30%</font>' : '<font color="#FF3807">Защита +30%</font>') .'';
	echo '<br>';
	echo '<b>Пробуждение 4 ур.</b>
	<br>
	'. ($ank['stars'] >= 4 ? '<font color="#7BF336">Скорость +8%</font>' : '<font color="#FF3807">Скорость +8%</font>') .'';
	echo '<br>';
	echo '<b>Пробуждение 5 ур.</b>
	<br>
	'. ($ank['stars'] >= 5 ? '<font color="#7BF336">Здоровье +20%</font>' : '<font color="#FF3807">Здоровье +20%</font>') .'';
	echo '<br>';
	echo '<b>Пробуждение 6 ур.</b>
	<br>
	'. ($ank['stars'] >= 6 ? '<font color="#7BF336">Сила +10%</font>' : '<font color="#FF3807">Сила +10%</font>') .'';
	echo '<br>';
	echo '<b>Пробуждение 7 ур.</b>
	<br>
	'. ($ank['stars'] >= 7 ? '<font color="#7BF336">Защита +60%</font>' : '<font color="#FF3807">Защита +60%</font>') .'';
	echo '<br>';
	echo '<b>Пробуждение 8 ур.</b>
	<br>
	'. ($ank['stars'] >= 8 ? '<font color="#7BF336">Скорость +16%</font>' : '<font color="#FF3807">Скорость +16%</font>') .'';
	echo '</div>';
	
	if($ank['stars'] < 8){
		echo '<br>';
		echo '<center><a href="?upgrade" class="buttons i">Пробуждение</a></center>';
		echo '<br>';
	}
	
}

require_once 'wcore/foot.php';
?>